Вопрос .Net Framework 3.5 SP1 в Windows 7, не распознанный установщиками


Windows 7 Ultimate RTM уже поставляется с предустановленной .NET Framework 3.5 с пакетом обновления 1 (SP1). Однако некоторые инсталляторы, такие как инструменты Azure и SDK 1.1, похоже, проверяют это и терпят неудачу:

Для средств Windows Azure для Microsoft Visual Studio требуется .NET Framework 3.5 SP1.

Поскольку предварительная установка структуры не позволяет переустановить или восстановить ее (смотрите также).

Установлен:

  • VisualStudio 2008 SP (9.0.30729.1)
  • VisualStudio 2010 RC (предыдущая бета-версия)
  • Windows \ Microsoft.NET \ Framework содержит папки для всех 1.0, 1.1, 2.0, 3.0, 3.5, 4.0

Любые идеи о том, как заставить установщиков распознавать структуру 3.5SP1 (без переустановки ОС) или, возможно, как-то переустановить ее


8
2018-02-09 12:09


происхождения


У Paint.NET была такая же проблема. На их странице Roadmap, для версии 3.5.2, они говорят: «Некоторые системы Win7 не смогли обнаружить, что .NET 3.5 SP1 был установлен, хотя это и было. Добавлена ​​функция резервного восстановления». Я не знаю, но не говорю, что ты не единственный. - Snark


ответы:


Как описано Вот:

Промлем был исправлен после   HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET   Установка рамок \ NDP \ v3.5 \ SP была установлена ​​на   1.

Больше информации Вот тоже (ссылка на странице выше):

Также вы можете проверить следующие два   ключи реестра и дайте мне знать, что   значения?

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\NET Framework Setup\NDP\v3.5\SP

А также

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.5\SP

Чтобы получить сообщение об ошибке установки,   значение реестра равно 0, установите его в   1.


7
2018-02-09 12:19





Что решило проблему для меня:

  1. Панель управления> Программы> Включить или отключить функции Windows
  2. Удалите «Microsoft .NET Framework 3.5.1» (и дочерние узлы)
  3. Установите «Microsoft .NET framework 3.5.1» (и дочерние узлы)
  4. перезагружать
  5. Установщики (по крайней мере, Azure) теперь снова распознают 3.5SP1

0
2018-02-09 12:20